Bug 250333

Summary: devel/py-wheel: depend on flavored py-pip
Product: Ports & Packages Reporter: Dima Panov <fluffy>
Component: Individual Port(s)Assignee: Dima Panov <fluffy>
Status: Closed FIXED    
Severity: Affects Many People Keywords: buildisok
Priority: --- Flags: fluffy: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
devel/py-wheel: depend on flavored py-pip
none
devel/py-wheel: depend on flavored py-pip v2 none

Description Dima Panov freebsd_committer 2020-10-14 09:58:54 UTC
Created attachment 218733 [details]
devel/py-wheel: depend on flavored py-pip

Unfortunately, current devel/py-wheel depends on default-flavored devel/py-pip regarlesss of requested flavors.
Fix it.
Comment 1 Dima Panov freebsd_committer 2020-10-14 11:21:18 UTC
Created attachment 218737 [details]
devel/py-wheel: depend on flavored py-pip v2

use flavored executable name (pip-3.8, for ex.)
Comment 2 Automation User 2020-10-29 00:03:27 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/208974457
Comment 3 commit-hook freebsd_committer 2020-11-06 12:54:58 UTC
A commit references this bug:

Author: fluffy
Date: Fri Nov  6 12:54:28 UTC 2020
New revision: 554293
URL: https://svnweb.freebsd.org/changeset/ports/554293

Log:
  devel/py-wheel: depend on flavored py-pip

  PR:		250333
  Submitted by:	fluffy
  Approved by:	maintainer timeout

Changes:
  head/devel/py-wheel/Makefile
Comment 4 Dima Panov freebsd_committer 2020-11-06 12:58:50 UTC
Committed!